bpkg-pkg-status(1)

NAME
bpkg-pkg-status - print package status

SYNOPSIS

bpkg pkg-status|status [options] [pkg[/ver]...]

DESCRIPTION

The pkg-status command prints the status of the specified packages or, if ver is specified, package versions. If no packages were specified, then pkg-status prints the status of all the held packages (which are the packages that were explicitly built; see bpkg-pkg-build(1)). Additionally, the status of immediate or all dependencies of the above packages can be printed by specifying the --immediate|-i or --recursive|-r options, respectively. Note that the status is written to stdout, not stderr.

The status output format is regular with components separated with spaces. Each line starts with the package name (and version, if specified) followed by one of the status words listed below. Some of them can be optionally followed by ',' (no spaces) and a sub-status word.

unknown
    Package is not part of the configuration nor available from any of the repositories.

available
    Package is not part of the configuration but is available from one of the repositories.

fetched
    Package is part of the configuration and is fetched.

unpacked
    Package is part of the configuration and is unpacked.

configured
    Package is part of the configuration and is configured. May be followed by the system sub-status indicating a package coming from the system. The version of such a system package (described below) may be the special '*' value indicating a wildcard version.

broken
    Package is part of the configuration and is broken (broken packages can only be purged; see bpkg-pkg-purge(1)).

If only the package name was specified without the package version, then the available status word is followed by the list of available versions. Versions that are only available for up/down-grading are printed in '[]' (such version are only available as dependencies from prerequisite repositories of other repositories). If the --system option is specified, then the last version in this list may have the sys: prefix indicating an available system version. Such a system version may be the special '?' value indicating that a package may or may not be available from the system and that its version is unknown.

Similarly, if only the package name was specified, then the fetched, unpacked, configured, and broken status words are followed by the version of the package. If newer versions are available, then the package version is followed by the available status word and the list of newer versions. To instead see a list of all versions, including the older ones, specify the --old-available|-o option. In this case the currently selected version is printed in '()'.

If the package name was specified with the version, then only the status (such as, configured, available, etc.) of this version is considered.

If a package is being held, then its name is printed prefixed with '!'. Similarly, if a package version is being held, then the version is printed prefixed with '!'. Held packages and held versions were selected by the user and are not automatically dropped and upgraded, respectively.

Below are some examples, assuming the configuration has libfoo 1.0.0 configured and held (both package and version) as well as libfoo 1.1.0 and 1.1.1 available from source and 1.1.0 from the system.

bpkg status libbar
libbar unknown
bpkg status libbar/1.0.0
libbar/1.0.0 unknown
bpkg status libfoo/1.0.0
!libfoo/1.0.0 configured !1.0.0
bpkg status libfoo/1.1.0
libfoo/1.1.0 available 1.1.0
bpkg status --system libfoo/1.1.0
libfoo/1.1.0 available 1.1.0 sys:1.1.0
bpkg status libfoo
!libfoo configured !1.0.0 available 1.1.0 1.1.1
bpkg status libfoo/1.1.1 libbar
libfoo/1.1.1 available 1.1.1
libbar unknown

Assuming now that we dropped libfoo from the configuration:

bpkg status libfoo/1.0.0
libfoo/1.0.0 unknown
bpkg status libfoo
libfoo available 1.1.0 1.1.1

And assuming now that we built libfoo as a system package with the wildcard version:

bpkg status libfoo
!libfoo configured,system * available 1.1.0 1.1.1

PKG-STATUS OPTIONS

--immediate|-i
    Also print the status of immediate dependencies.

--recursive|-r
    Also print the status of all dependencies, recursively.

--old-available|-o
    Print old available versions.

--constraint
    Print version constraints for dependencies.

--system
    Check the availability of packages from the system.

--no-hold
    Don't print the package or version hold status.

--no-hold-package
    Don't print the package hold status.

--no-hold-version
    Don't print the version hold status.

--directory|-d dir
    Assume configuration is in dir rather than in the current working directory.

COMMON OPTIONS

The common options are summarized below with a more detailed description available in bpkg-common-options(1).

-v  Print essential underlying commands being executed.

-V  Print all underlying commands being executed.

--quiet|-q
    Run quietly, only printing error messages.

--verbose level
    Set the diagnostics verbosity to level between 0 and 6.

--jobs|-j num
    Number of jobs to perform in parallel.

--no-result
    Don't print informational messages about the outcome of performing a command.

--no-progress
    Suppress progress indicators for long-lasting operations, such as network transfers, building, etc.

--build path
    The build program to be used to build packages.

--build-option opt
    Additional option to be passed to the build program.

--fetch path
    The fetch program to be used to download resources.

--fetch-option opt
    Additional option to be passed to the fetch program.

--fetch-timeout sec
    The fetch and fetch-like (for example, git) program timeout.

--git path
    The git program to be used to fetch git repositories.

--git-option opt
    Additional common option to be passed to the git program.

--sha256 path
    The sha256 program to be used to calculate SHA256 sums.

--sha256-option opt
    Additional option to be passed to the sha256 program.

--tar path
    The tar program to be used to extract package archives.

--tar-option opt
    Additional option to be passed to the tar program.

--openssl path
    The openssl program to be used for crypto operations.

--openssl-option opt
    Additional option to be passed to the openssl program.

--auth type
    Types of repositories to authenticate.

--trust fingerprint
    Trust repository certificate with a SHA256 fingerprint.

--trust-yes
    Assume the answer to all authentication prompts is yes.

--trust-no
    Assume the answer to all authentication prompts is no.

--pager path
    The pager program to be used to show long text.

--pager-option opt
    Additional option to be passed to the pager program.

--options-file file
    Read additional options from file.

BUGS
Send bug reports to the users@build2.org mailing list.

COPYRIGHT
Copyright (c) 2014-2019 Code Synthesis Ltd Permission is granted to copy, distribute and/or modify this document under the terms of the MIT License.